//
//  RootView.swift
//  punchnet
//
//  Created by 安礼成 on 2026/1/19.
//

import SwiftUI

struct RootView: View {
    @Environment(UserContext.self) var userContext
    
    var body: some View {
        Group {
            if userContext.isLogined {
                NetworkView()
            } else {
                LoginRootView()
            }
        }
    }
}

#Preview {
    RootView()
}
